package jp.ac.kyutech.mns.ist.play;

import java.awt.geom.Point2D;

/**
 * タイムスライダでなめらかに表示する表示オブジェクトが実装すべきインタフェース
 * @see ShortStroke
 * @see TimePlayMove
 * 
 * @author miuramo
 *
 */
public interface TimePlayable {
	public int getSteps();

	public void setVisible(boolean f);

	public void resetShapes();

	public void prepareShapes();

	public void showSubpath(int localp);

	public Point2D getPenPoint(int localp);

	public Point2D getFirstPoint();

	public Point2D getLastPoint();
}
